For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
ProductAPI ReferenceChangelogModel Versioning
ProductAPI ReferenceChangelogModel Versioning
    • Authentication
    • API Versioning
  • Workflow Endpoints
    • Run Workflow
    • Workflow Run
    • List Workflow Runs
    • Update Workflow Run
    • Create Workflow
    • Batch Run Workflow
    • Correct Workflow Run (Deprecated)
  • Processor Endpoints
    • Run Processor
    • Get Processor Run
    • Batch Processor Run
    • Create Processor
    • Update Processor
    • Publish Processor Version
    • Processor Version
    • List Processor Versions
  • Parse Endpoints
    • Parse File
  • File Endpoints
    • Upload File
    • Get File
    • List Files
    • Create File (Deprecated)
  • Evaluation Set Endpoints
    • Create Evaluation Set
    • Create Evaluation Set Item
    • Update Evaluation Set Item
    • Bulk Create Evaluation Set Item
  • Objects
    • Block
    • Evaluation Set
    • Evaluation Set Item
    • File
    • Processor
    • Processor Run
    • Batch Processor Run
    • Processor Version
    • Workflow
    • Workflow Run
    • Workflow Run Summary
  • Guides
    • Processor Configs
    • Output Types
    • Bounding Boxes
    • Supported File Types
    • Rate Limits
    • User Roles and Permissions
  • Webhooks
    • Configuration
    • Events
LogoLogo
Book a demoLog in
Processor Endpoints

Get Processor Run

Retrieve details about a specific processor run, including its status, outputs, and any edits made during review.
$curl --location --request GET 'https://api-prod.extend.app/processor_runs/dpr_1234' \
>--header 'Authorization: Bearer <API_TOKEN>'
Example Response
1{
2 "success": true,
3 "processorRun": {
4 "object": "document_processor_run",
5 "id": "dpr_1234",
6 "processorId": "dp_5678",
7 "processorVersionId": "dpv_91011",
8 "processorName": "Invoice Extractor",
9 "status": "PROCESSED",
10 "metadata": {
11 "internal_id": "id_1234"
12 },
13 "reviewed": true,
14 "edited": true,
15 "edits": {
16 "total_amount": {
17 "originalValue": "1000.00",
18 "editedValue": "1100.00",
19 "fieldType": "currency",
20 "notes": "Corrected after tax calculation"
21 }
22 },
23 "type": "EXTRACT",
24 "config": {
25 // Config object - see “Processor configs” for details
26 },
27 "initialOutput": {
28 // Output object - see “Processor output types” for details
29 },
30 "reviewedOutput": {
31 // Output object - see “Processor output types” for details
32 },
33 "output": {
34 // Output object - see “Processor output types” for details
35 },
36 "files": [
37 {
38 "name": "invoice.pdf"
39 }
40 ],
41 "url": "https://platform.extend.app/processor-runs/dpr_1234"
42 }
43}
Was this page helpful?
Previous

Get Batch Processor Run

Retrieve details about a batch processor run.
Next
Built with

A common use case for this endpoint is to poll for the status and final output of an async processor run when using the Run Processor endpoint. For instance, if you do not want to not configure webhooks to receive the output via completion/failure events.

URL Parameters

id
stringRequired

The unique identifier of the processor run to retrieve.

Response

success
boolean

A true or false value indicating whether the request was successful.

processorRun
object

Details about the requested processor run. See the ProcessorRun object for more details.